{% extends 'base.html' %}

{% block css %}
    <link rel="stylesheet" href="/static/index.css" />
    <style>
        {{ extended_css | safe }}   {# nosemgrep #}
    </style>
{% endblock %}

{% block page %}
<main>
    <section id="information" class="side-box">{% block information %}{% endblock %}</section>
    <form onsubmit="return false;" action="" id="main">
        <input id="cidr" type="search" placeholder="{{ public_ip }}" name="cidr"/>
        <button id="submit" onclick="pressed()">Lookup</button>
    </form>
    <figure id="map" class="map"><figcaption style="display: none">Map</figcaption></figure>
    <script>
        window.addEventListener('load', (event) => {
            var req = new XMLHttpRequest();
            req.open('GET', '{{ url_for(".map") }}', false);  // nosemgrep
            req.send(null);
            if(req.status == 200) {
                var fig = document.getElementById("map");
                fig.innerHTML = req.responseText;
            }
        })
    </script>
    <section id="api" class="json-data">{{ jdata | safe }}</section>   {# nosemgrep #}
</main>
{% endblock %}